% eda04_04
% data kernerl for Fourier sum case

N = 32;
Dx=1/(N-1);
x = Dx*[0:N-1]'; % x defined on 0 to 1
xmax=x(N);

M=N-2; % G not square, since I omit the lambda=infinity case here
Mo2=M/2;

% largest wavelenth is 2*xmax
% subsequent wavelengths get smaller
lambda= 2*xmax ./ [1:Mo2]';

G=zeros(N,M);
for i = [1:Mo2]
    ic = 2*i-1;
    is = 2*i;
    G(:,ic) = cos( 2*pi*x/lambda(i) );
    G(:,is) = sin( 2*pi*x/lambda(i) );
end

eda_draw(G,'caption G');